Subject: Re: bug#22378: 24.5; hide-ifdef wrongly handles "#if defined X"
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 16 Jan 2016 08:59:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 15 Jan 2016 22:56:58 +0100 (CET)
> From: [email-masked]
> Cc: [email-masked]
> 
> * emacs -Q foo.txt
> * M-x hide-ifdef-mode
> * C-c @ h
>   => OK, everywhere "no"
> * C-c @ d A
>   => OK, everywhere "yes" except the "B && !A"
> * C-c @ u A
>   => only "#ifdef A" switches back

Thanks.  With this recipe, I can reproduce this in Emacs 24.5, but not
with the current emacs-25 branch.  So I guess this bug was already
solved, and I'm marking the bug done.